# Error List

### General

{% code title="API key expired" %}

```
{
    "status": "error",
    "message": "API_KEY_EXPIRED",
    "result": null
}
```

{% endcode %}

{% code title="Maximum API call hit" %}

```
{
    "status": "error",
    "message": "MAX_API_CALL_EXCEEDED",
    "result": null
}
```

{% endcode %}

### OCR

{% code title="Missing/Wrong apiKey" %}

```
{
    "status": "error",
    "message": "INVALID_API_KEY",
    "result": null
}
```

{% endcode %}

{% code title="Missing base64ImageString" %}

```
{
    "status": "error",
    "message": "Error in status.",
    "result": null
}
```

{% endcode %}

{% code title="Invalid image" %}

```
{
    "status": "success",
    "message": "",
    "images": [
        {
            "Base64ImageString": "xxxxxxxxxx",
            "Format": ".jpg",
            "LightIndex": 6,
            "PageIndex": 0
        }
    ],
    "result": null
}
```

{% endcode %}

{% code title="Request size more than 5MB" %}

```
{
    "status": "error",
    "message": "Request size exceed 5MB.",
    "result": null
}
```

{% endcode %}

{% code title="No parameter sent" %}

```
{
    "status": "error",
    "statusMessage": "Error in processing."
}
```

{% endcode %}

{% code title="Image not recognized by the system" %}

```
{
    "status": "error",
    "message": "UNRECOGNIZED_IMAGE"
}
```

{% endcode %}

{% code title="Missing ID Number will be filled with "?"" %}

```
{
    "wLCID": 0,
    "FieldType": 2,
    "wFieldType": 2,
    "Field_MRZ": null,
    "Field_Visual": "88888801????",
    "Field_Barcode": null,
},
```

{% endcode %}

### Get Document Type

{% code title="Missing/Wrong apiKey" %}

```
{
    "status": "error",
    "message": "INVALID_API_KEY",
    "document_type": null
}
```

{% endcode %}

{% code title="Missing base64ImageString/Invalid image" %}

```
{
    "status": "error",
    "message": null,
    "document_type": null
}
```

{% endcode %}

{% code title="No parameter is sent" %}

```
{
    "status": "error",
    "statusMessage": "Error in processing."
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://api-old.innov8tif.com/okayid/error-list.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
